Billing

List fiat payment records for organization

Paginated list of FiatPaymentRecord for this org (txRef, amount, orgReceives, status, paidAt).

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
GET/api/orgs/{orgId}/payment-processing/records

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.getPaymentRecords("org_IUKig0bv6t");
const { data: result } = await billing.getPaymentRecords("org_IUKig0bv6t");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes

Query Parameters

NameTypeRequiredDescription
pageintegerNo
limitintegerNo
statusstringNo

Responses

200Records and pagination
json
{
  "success": true,
  "data": {
    "records": [
      {
        "txRef": "port transmit",
        "amount": 722.87,
        "orgReceives": 415.76,
        "status": "program back up",
        "paidAt": "capacitor bypass"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 98,
      "pages": 1
    }
  }
}
{
  "success": true,
  "data": {
    "records": [
      {
        "txRef": "port transmit",
        "amount": 722.87,
        "orgReceives": 415.76,
        "status": "program back up",
        "paidAt": "capacitor bypass"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 98,
      "pages": 1
    }
  }
}
401

Errors

CodeMeaning
401
Edit this page on GitHub